function [negatives random_map] = generateNegativeExamples(panoramas, num_negatives)

N = size(panoramas, 2);

total_pixels = 0;
for i=1:N
    D = size(panoramas(i).features);
    K = size(panoramas(i).areas,1);
    negative_mask = zeros(D(1), D(2));
    for j=1:K
        w = panoramas(i).areas(j, 3);
        h = panoramas(i).areas(j, 4);
        total_pixels = total_pixels + (D(1)*D(2) - w*h);         
        negative_mask(...
            panoramas(i).areas(j,2):panoramas(i).areas(j,2) + h,...
            panoramas(i).areas(j,1):panoramas(i).areas(j,1) + w, :) = 1;        
    end
    bounds = int32(panoramas(i).bounds);
    negative_mask(1:bounds(1),:) = 1;
    negative_mask(bounds(2):end,:) = 1;
    panoramas(i).negative_mask = negative_mask;
end

map = zeros(N,2);
low = 0;
for i=1:N
    D = size(panoramas(i).features);
    K = size(panoramas(i).areas,1);
    for j=1:K
        w = panoramas(i).areas(j, 3);
        h = panoramas(i).areas(j, 4);
        low = low + (D(1)*D(2) - w*h);       
        map(i,:) = [i (low/total_pixels)];       
    end
end

% Create negative examples matrix.
negatives = zeros(num_negatives, size(panoramas(1).features, 3));
D = size(panoramas(1).features);
random_map = zeros(D(1), D(2));

for n=1:num_negatives
    r = rand(1,1);
    index = map(find(map(:,2) > r,1),1);
    features = panoramas(index).features;

    num_features = size(features, 3);   
    
    x = 0;
    y = 0;
    flag = 0;
    while flag == 0
        r = [randi(size(features,1), 1, 1) randi(size(features,2), 1, 1)];
        if (panoramas(index).negative_mask(r(1), r(2)) == 1)
           continue;
        else
            x = r(1);
            y = r(2);
            flag = 1;
        end
    end

    negatives(n, 1:num_features) = reshape(features(x, y, :), 1, num_features); 
    if (index == 1)
        random_map(x, y) = 1;
    end
end