function [positives random_map] = generatePositiveExamples(panoramas, num_positives)

% Generate samples.
samples = uniformSampleMarkedAreas(panoramas, num_positives);

% Create positive examples matrix.
positives = zeros(num_positives, size(panoramas(1).features, 3));
random_map = struct();
for i=1:size(panoramas, 2)
   D = size(panoramas(1).features);
   random_map(i).map = sparse(zeros(D(1), D(2))); 
end
i = 1;
while (i <= num_positives)
    index = samples(i,1);
    features = panoramas(index).features;
    num_features = size(features, 3);   
    
    offset = samples(i,2);
    x = panoramas(index).areas(offset, 1);
    y = panoramas(index).areas(offset, 2);
    w = panoramas(index).areas(offset, 3);
    h = panoramas(index).areas(offset, 4);
        
    r = [randi([x,x+w],1,1) randi([y,y+h],1,1)];
    random_map(index).map(r(:,2), r(:,1)) = 1;
    positives(i, 1:num_features) = reshape(features(r(2), r(1), :), 1, num_features);    
    i = i + 1;
end