function [features features_string] = getIttiPatchFeatures(I, patch_size)
    img = initializeImage(I);
    params = defaultSaliencyParams(img.size, 'dyadic');
    [salmap, salData] = makeSaliencyMap(img, params); %#ok<ASGLU>
    clear img salmap;

    dims = [size(I,1) size(I,2)];
    colorCM = imresize(salData(1).CM.data, dims, 'bilinear');
    intensityCM = imresize(salData(2).CM.data, dims, 'bilinear');
    orientationCM = imresize(salData(3).CM.data, dims, 'bilinear');
    clear salData;

    f = zeros(size(I,1), size(I,2), 3);
    f(:, :, 1) = colorCM;
    f(:, :, 2) = intensityCM;
    f(:, :, 3) = orientationCM;
    [features ignore] = getPatchFeatures(f, patch_size); %#ok<NASGU>
    clear f;

    features_string = ['itti-patch-' num2str(patch_size)];
end