function [features features_string] = getIttiRawFeatures(I)
    img = initializeImage(I);
    params = defaultSaliencyParams(img.size, 'dyadic');
    [~, salData] = makeSaliencyMap(img, params);
    clear img salmap params;

    numBands = size(salData, 2);
    totalFeatures = 0;
    for i=1:numBands
       numPyramids = size(salData(i).pyr, 2);
       for j=1:numPyramids
           numLevels = size(salData(i).pyr(j).levels, 2);
           for k=1:numLevels
              if (isempty(salData(i).pyr(j).levels(k).data) ~= 1)
                  totalFeatures = totalFeatures + 1; 
              end
          end
       end
    end
    features = zeros(size(I,1), size(I,2), totalFeatures);
    
    dims = [size(I,1) size(I,2)];
    cnt = 1;
    for i=1:numBands
       numPyramids = size(salData(i).pyr, 2);
       for j=1:numPyramids
           numLevels = size(salData(i).pyr(j).levels, 2);
           for k=1:numLevels            
              if (isempty(salData(i).pyr(j).levels(k).data) ~= 1)
                P = imresize(salData(i).pyr(j).levels(k).data, dims, 'nearest');
                features(:,:,cnt) = P;
                cnt = cnt + 1;
              end
           end
       end
    end

    features_string = 'itti-raw-features';
end