function [features features_string] = getObjectFeatures(I)

features_string = 'cars-people';
[w h c] = size(I);
Cars=zeros(w, h);
People=zeros(w, h);

%-----------------%
% Find Cars      
%-----------------%
load lib/car_final.mat; % loads a car model
boxes = detect(I, model, 0);

bboxes = getboxes(model, boxes);
top = nms(bboxes, 0.4);
bboxes = clipboxes(I, top);

for j=1:size(bboxes, 1)
    b = max(floor(bboxes(j, :)), 1);
    Cars(b(2):b(4), b(1):b(3))=1;
end
Cars = imresize(Cars, [w h]);
features(:,:,1) = Cars;
clear Cars;

%-----------------%
% Find People      
%-----------------%
load lib/person_final.mat; % loads a person model
boxes = detect(I, model, 0);

bboxes = getboxes(model, boxes);
top = nms(bboxes, 0.4);
bboxes = clipboxes(I, top);

for j=1:size(bboxes, 1)
    b = max(floor(bboxes(j, :)), 1);
    People(b(2):b(4), b(1):b(3))=1;
end
People = imresize(People, [w h]);
features(:,:,2) = People;
clear People;