function [features features_string] = getTorralbaPatchFeatures(I, patch_size)
    if (size(I,3) ~= 1)
        I = rgb2gray(I);
    end
    edges = 'reflect1';
    pyrFilters = 'sp3Filters';

    Nsc = 4;

    [pyr, ind] = buildSpyr(double(mean(I,3)), Nsc, pyrFilters, edges);

    weight = 2.^(1:Nsc);
    f = zeros(size(I,1), size(I,2), 1);
    for b=2:size(ind,1)-1
       out =  pyrBand(pyr,ind,b);
       scale = floor((b-2)/6);

       [h,x] = hist(out(:), 100);
       h = h+1; h = h/sum(h);

       probOut = interp1(x, 1./h, out, 'nearest', min(h));   
       probOutR = imresize(probOut, [size(I,1) size(I,2)], 'bilinear');
       f = f + log(probOutR)*weight(scale+1);
    end
    f = f / max(f(:));

    [features ignore] = getPatchFeatures(f, patch_size); %#ok<NASGU>
    clear f;

    features_string = ['torralba-patch-' num2str(patch_size)];
end