function [type type_string type_string_long] = getType(type)

if (type > 7)
   error([ 'The type for the trainer must be <= 7. '...
           'Please see the documentation for liblinear.']);
end

types = struct(...
        'long_names', {{...
            'L2-regularized logistic regression (primal)'...
            'L2-regularized L2-loss support vector classification (dual)'...
            'L2-regularized L2-loss support vector classification (primal)'...
            'L2-regularized L1-loss support vector classification (dual)'...
            'multi-class support vector classification by Crammer and Singer'...
            'L1-regularized L2-loss support vector classification'...
            'L1-regularized logistic regression'...
            'L2-regularized logistic regression (dual)'}},...
        'short_names', {{...
            'L2.logistic-regression.primal'...
            'L2.L2-loss.dual'...
            'L2.L2-loss.primal'...
            'L2.L1-loss.dual'...
            '_.multi-class._'...
            'L1.L2-loss.dual'...
            'L1.logistic-regression._'...
            'L2.logistic-regression.dual'}}...
        );
    
type_string_long = char(types.long_names(type+1));
type_string = char(types.short_names(type+1));