function panoramas = loadTrainingData(input_file, panoramas_base, scale)

fid = fopen(input_file, 'r');
N = int32(str2num(fgetl(fid)));
% Read in panoramas.
fprintf(1, 'Reading in %d panoramas\n', N);
panoramas = struct();
for i=1:N
    panoid = fgetl(fid);
    panorama_file = [panoramas_base '/' panoid];
    
    % Compute features
    fprintf(1, 'Computing features for file: %s\n', panorama_file);
    [features features_string] = getFeatures(imresize(imread(panorama_file), scale));
    panoramas(i).panoid = panoid;
    panoramas(i).features = features;
    panoramas(i).features_string = features_string;
end

% Read in positives areas.
for i=1:N
    M = int32(str2num(fgetl(fid)));
    panoramas(i).areas = zeros(M, 4);
    
    for j=1:M
        x = int32(scale * str2num(fgetl(fid)));
        y = int32(scale * str2num(fgetl(fid)));
        w = int32(scale * str2num(fgetl(fid)));
        h = int32(scale * str2num(fgetl(fid)));
        
        panoramas(i).areas(j, :) = [x y w h];
    end
end

fclose(fid);