function panoramas = runTrainingAndPredict(input_file, panoramas_base, num_positives, num_negatives, scale, panoramas)

if (nargin < 6)
    panoramas = loadTrainingData(input_file, panoramas_base, scale);
end

positives = generatePositiveExamples(panoramas, num_positives);
negatives = generateNegativeExamples(panoramas, num_negatives);

training_data = [positives;negatives];
labels = [ones(size(positives,1),1); zeros(size(negatives,1),1)];

fprintf(1, 'Training model.\n');
model = train(labels, sparse(training_data), '-c 1');



D = datestr(now, 'mm.dd-HH.MM.SS');