function [model training_data labels] = trainSimpleModel(input_file, panoramas_base, num_positives, num_negatives, scale)

panoramas = loadTrainingData(input_file, panoramas_base, scale);
positives = generatePositiveExamples(panoramas, num_positives);
negatives = generateNegativeExamples(panoramas, num_negatives);

training_data = [positives;negatives];
labels = [ones(size(positives,1),1); zeros(size(negatives,1),1)];

fprintf(1, 'Training model.\n');
model = train(labels, sparse(training_data), ['-c 1 -B -1']);